<div class="cbb-edit-field-container">
	<div class="ccb-edit-field-header">
		<span class="ccb-edit-field-title ccb-heading-3 ccb-bold"><?php esc_html_e( 'Time picker', 'cost-calculator-builder-pro' ); ?></span>
		<div class="ccb-field-actions">
			<button class="ccb-button default" @click="$emit( 'cancel' )"><?php esc_html_e( 'Cancel', 'cost-calculator-builder-pro' ); ?></button>
			<button class="ccb-button success" @click.prevent="saveField"><?php esc_html_e( 'Save', 'cost-calculator-builder-pro' ); ?></button>
		</div>
	</div>
	<div class="ccb-grid-box">
		<div class="container">
			<div class="row">
				<div class="col-12">
					<div class="ccb-edit-field-switch">
						<div class="ccb-edit-field-switch-item ccb-default-title" :class="{active: tab === 'main'}" @click="tab = 'main'">
							<?php esc_html_e( 'Element', 'cost-calculator-builder-pro' ); ?>
						</div>
						<div class="ccb-edit-field-switch-item ccb-default-title" :class="{active: tab === 'options'}" @click="tab = 'options'">
							<?php esc_html_e( 'Settings', 'cost-calculator-builder-pro' ); ?>
							<span class="ccb-fields-required" v-if="errorsCount > 0">{{ errorsCount }}</span>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="container" v-show="tab === 'main'">
			<div class="row ccb-p-t-15">
				<div class="col-6">
					<div class="ccb-input-wrapper">
						<span class="ccb-input-label"><?php esc_html_e( 'Name', 'cost-calculator-builder-pro' ); ?></span>
						<input type="text" class="ccb-heading-5 ccb-light" v-model.trim="timeField.label" placeholder="<?php esc_attr_e( 'Enter field name', 'cost-calculator-builder-pro' ); ?>">
					</div>
				</div>
				<div class="col-3 ccb-p-l-0">
					<div class="ccb-input-wrapper">
						<span class="ccb-input-label"><?php esc_html_e( 'Placeholder', 'cost-calculator-builder-pro' ); ?></span>
						<input type="text" class="ccb-heading-5 ccb-light" v-model.trim="timeField.placeholderHours" placeholder="<?php esc_attr_e( 'hh', 'cost-calculator-builder-pro' ); ?>">
					</div>
				</div>
				<div class="col-3 ccb-p-l-0">
					<div class="ccb-input-wrapper">
						<span class="ccb-input-label ccb-empty-label">&#20</span>
						<input type="text" class="ccb-heading-5 ccb-light" v-model.trim="timeField.placeholderTime" placeholder="<?php esc_attr_e( 'mm', 'cost-calculator-builder-pro' ); ?>">
					</div>
				</div>
				<div class="col-12 ccb-p-t-15">
					<div class="ccb-input-wrapper">
						<span class="ccb-input-label"><?php esc_html_e( 'Description', 'cost-calculator-builder-pro' ); ?></span>
						<input type="text" class="ccb-heading-5 ccb-light" v-model.trim="timeField.description" placeholder="<?php esc_attr_e( 'Enter field description', 'cost-calculator-builder-pro' ); ?>">
					</div>
				</div>
			</div>

			<div class="row vertical-center ccb-p-t-15">
				<div class="col-6">
					<div class="ccb-select-box">
						<span class="ccb-select-label"><?php esc_html_e( 'Time Option', 'cost-calculator-builder-pro' ); ?></span>
						<div class="ccb-select-wrapper">
							<i class="ccb-icon-Path-3485 ccb-select-arrow"></i>
							<select class="ccb-select" v-model="timeField.range">
								<option value="0"><?php esc_html_e( 'Basic(without range)', 'cost-calculator-builder-pro' ); ?></option>
								<option value="1"><?php esc_html_e( 'Advanced (with range)', 'cost-calculator-builder-pro' ); ?></option>
							</select>
						</div>
					</div>
				</div>
				<div class="col-6">
					<span class="ccb-select-label ccb-empty-label">&#20</span>
					<div class="ccb-input-wrapper">
						<div class="list-header">
							<div class="ccb-switch">
								<input type="checkbox" v-model="timeField.format"/>
								<label></label>
							</div>
							<h6 class="ccb-heading-5"><?php esc_html_e( '24-hour time', 'cost-calculator-builder-pro' ); ?></h6>
						</div>
					</div>
				</div>
			</div>
			<div class="row vertical-center ccb-p-t-15" v-if="timeField.range == 1">
				<div class="col-6">
					<span class="ccb-select-label ccb-empty-label">&#20</span>
					<div class="ccb-input-wrapper">
						<div class="list-header">
							<div class="ccb-switch">
								<input type="checkbox" v-model="timeField.use_interval"/>
								<label></label>
							</div>
							<h6 class="ccb-heading-5"><?php esc_html_e( 'Set minimum interval', 'cost-calculator-builder-pro' ); ?></h6>
						</div>
					</div>
				</div>
			</div>
			<div class="row vertical-center ccb-p-t-15" v-if="timeField.range == 1 && timeField.use_interval">
				<div class="col-6">
					<div class="ccb-input-wrapper">
						<span class="ccb-input-label"><?php esc_html_e( 'Minimum interval (For ex. 1h, 1h 30m, 30m)', 'cost-calculator-builder-pro' ); ?></span>
						<div style="position: relative">
							<input type="text" class="ccb-heading-5 ccb-light" :class="{'ccb-input-required': isInvalidInput}" v-model.trim="timeField.min_interval" placeholder="<?php esc_attr_e( 'Enter interval', 'cost-calculator-builder-pro' ); ?>">
							<span style="bottom: unset; top: -30px; font-weight: 700" v-if="isInvalidInput" class="ccb-error-tip default"><?php esc_html_e( 'Invalid format', 'cost-calculator-builder-pro' ); ?></span>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="container" v-show="tab === 'options'">
			<div class="row ccb-p-t-15">
				<div class="col-6">
					<div class="list-header">
						<div class="ccb-switch">
							<input type="checkbox" v-model="timeField.required"/>
							<label></label>
						</div>
						<h6 class="ccb-heading-5"><?php esc_html_e( 'Required', 'cost-calculator-builder-pro' ); ?></h6>
					</div>
				</div>
				<div class="col-6">
					<div class="list-header">
						<div class="ccb-switch">
							<input type="checkbox" v-model="timeField.addToSummary"/>
							<label></label>
						</div>
						<h6 class="ccb-heading-5"><?php esc_html_e( 'Show in Grand Total', 'cost-calculator-builder-pro' ); ?></h6>
					</div>
				</div>
				<div class="col-12 ccb-p-t-10">
					<div class="list-header">
						<div class="ccb-switch">
							<input type="checkbox" v-model="timeField.hidden"/>
							<label></label>
						</div>
						<h6 class="ccb-heading-5"><?php esc_html_e( 'Hidden by Default', 'cost-calculator-builder-pro' ); ?></h6>
					</div>
				</div>
			</div>
			<div class="row ccb-p-t-15 ccb-p-t-20">
				<div class="col-12">
					<div class="ccb-input-wrapper">
						<span class="ccb-input-label"><?php esc_html_e( 'Additional Classes', 'cost-calculator-builder-pro' ); ?></span>
						<textarea class="ccb-heading-5 ccb-light" v-model="timeField.additionalStyles" placeholder="<?php esc_attr_e( 'Set Additional Classes', 'cost-calculator-builder-pro' ); ?>"></textarea>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
